Bug 431541 (CVE-2008-0486) - CVE-2008-0486 xine-lib / mplayer: array indexing vulnerability in FLAC parsing code
Summary: CVE-2008-0486 xine-lib / mplayer: array indexing vulnerability in FLAC parsin...
Status: CLOSED ERRATA
Alias: CVE-2008-0486
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://nvd.nist.gov/nvd.cfm?cvename=C...
Whiteboard: source=cve,reported=20080205,public=2...
Keywords: Security
Depends On: 431542 431543 431544
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-02-05 12:32 UTC by Tomas Hoger
Modified: 2008-04-24 11:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-24 11:47:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2008-02-05 12:32:17 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-0486 to the following vulnerability:

Array index vulnerability in libmpdemux/demux_audio.c in MPlayer
1.0rc2 and SVN before r25917, and possibly earlier versions, as used
in Xine-lib 1.1.10, might allow remote attackers to execute arbitrary
code via a crafted FLAC tag, which triggers a buffer overflow.

References:
http://www.securityfocus.com/archive/1/archive/1/487501/100/0/threaded
http://www.coresecurity.com/?action=item&id=2103
http://www.securityfocus.com/bid/27441

Comment 1 Tomas Hoger 2008-02-05 12:40:09 UTC
Patch in mplayer SVN:

http://svn.mplayerhq.hu/mplayer/trunk/libmpdemux/demux_audio.c?r1=25911&r2=25917

For xine-lib, affected code seems to live in open_flac_file() in
src/demuxers/demux_flac.c .  This does not seem to be fixed in xine-lib's HG yet.

Comment 3 Ville Skyttä 2008-02-06 18:08:20 UTC
Upstream contacted: http://bugs.xine-project.org/show_bug.cgi?id=38

Comment 4 Tomas Hoger 2008-02-08 14:42:44 UTC
News section on upstream page has:

08.02.2008 xine-lib 1.1.10.1
  A new xine-lib version is now available. This release contains a security fix
  (array index vulnerability which may lead to a stack buffer overflow,
  CVE-2008-0486). There are also two minor bug fixes.


Comment 5 Fedora Update System 2008-02-13 05:06:22 UTC
xine-lib-1.1.10.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-02-13 05:12:05 UTC
xine-lib-1.1.10.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Red Hat Product Security 2008-04-24 11:47:05 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F7/FEDORA-2008-1581
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-1543




Note You need to log in before you can comment on or make changes to this bug.